Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network35.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
35.0.0.0
Broadcast address
35.255.255.255
First usable
35.0.0.1
Last usable
35.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 23000000 · Integer 587202560 to 603979775
Reverse DNS zone
35.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100011..00000000.00000000.0000000035.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00100011..00000000.00000000.0000000035.0.0.0
Broadcast00100011..11111111.11111111.1111111135.255.255.255
Split into smaller subnets/16

35.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
135.0.0.0/1635.0.0.1 to 35.0.255.25435.0.255.25565,534
235.1.0.0/1635.1.0.1 to 35.1.255.25435.1.255.25565,534
335.2.0.0/1635.2.0.1 to 35.2.255.25435.2.255.25565,534
435.3.0.0/1635.3.0.1 to 35.3.255.25435.3.255.25565,534
535.4.0.0/1635.4.0.1 to 35.4.255.25435.4.255.25565,534
635.5.0.0/1635.5.0.1 to 35.5.255.25435.5.255.25565,534
735.6.0.0/1635.6.0.1 to 35.6.255.25435.6.255.25565,534
835.7.0.0/1635.7.0.1 to 35.7.255.25435.7.255.25565,534
935.8.0.0/1635.8.0.1 to 35.8.255.25435.8.255.25565,534
1035.9.0.0/1635.9.0.1 to 35.9.255.25435.9.255.25565,534
1135.10.0.0/1635.10.0.1 to 35.10.255.25435.10.255.25565,534
1235.11.0.0/1635.11.0.1 to 35.11.255.25435.11.255.25565,534
1335.12.0.0/1635.12.0.1 to 35.12.255.25435.12.255.25565,534
1435.13.0.0/1635.13.0.1 to 35.13.255.25435.13.255.25565,534
1535.14.0.0/1635.14.0.1 to 35.14.255.25435.14.255.25565,534
1635.15.0.0/1635.15.0.1 to 35.15.255.25435.15.255.25565,534
1735.16.0.0/1635.16.0.1 to 35.16.255.25435.16.255.25565,534
1835.17.0.0/1635.17.0.1 to 35.17.255.25435.17.255.25565,534
1935.18.0.0/1635.18.0.1 to 35.18.255.25435.18.255.25565,534
2035.19.0.0/1635.19.0.1 to 35.19.255.25435.19.255.25565,534
2135.20.0.0/1635.20.0.1 to 35.20.255.25435.20.255.25565,534
2235.21.0.0/1635.21.0.1 to 35.21.255.25435.21.255.25565,534
2335.22.0.0/1635.22.0.1 to 35.22.255.25435.22.255.25565,534
2435.23.0.0/1635.23.0.1 to 35.23.255.25435.23.255.25565,534
2535.24.0.0/1635.24.0.1 to 35.24.255.25435.24.255.25565,534
2635.25.0.0/1635.25.0.1 to 35.25.255.25435.25.255.25565,534
2735.26.0.0/1635.26.0.1 to 35.26.255.25435.26.255.25565,534
2835.27.0.0/1635.27.0.1 to 35.27.255.25435.27.255.25565,534
2935.28.0.0/1635.28.0.1 to 35.28.255.25435.28.255.25565,534
3035.29.0.0/1635.29.0.1 to 35.29.255.25435.29.255.25565,534
3135.30.0.0/1635.30.0.1 to 35.30.255.25435.30.255.25565,534
3235.31.0.0/1635.31.0.1 to 35.31.255.25435.31.255.25565,534
3335.32.0.0/1635.32.0.1 to 35.32.255.25435.32.255.25565,534
3435.33.0.0/1635.33.0.1 to 35.33.255.25435.33.255.25565,534
3535.34.0.0/1635.34.0.1 to 35.34.255.25435.34.255.25565,534
3635.35.0.0/1635.35.0.1 to 35.35.255.25435.35.255.25565,534
3735.36.0.0/1635.36.0.1 to 35.36.255.25435.36.255.25565,534
3835.37.0.0/1635.37.0.1 to 35.37.255.25435.37.255.25565,534
3935.38.0.0/1635.38.0.1 to 35.38.255.25435.38.255.25565,534
4035.39.0.0/1635.39.0.1 to 35.39.255.25435.39.255.25565,534
4135.40.0.0/1635.40.0.1 to 35.40.255.25435.40.255.25565,534
4235.41.0.0/1635.41.0.1 to 35.41.255.25435.41.255.25565,534
4335.42.0.0/1635.42.0.1 to 35.42.255.25435.42.255.25565,534
4435.43.0.0/1635.43.0.1 to 35.43.255.25435.43.255.25565,534
4535.44.0.0/1635.44.0.1 to 35.44.255.25435.44.255.25565,534
4635.45.0.0/1635.45.0.1 to 35.45.255.25435.45.255.25565,534
4735.46.0.0/1635.46.0.1 to 35.46.255.25435.46.255.25565,534
4835.47.0.0/1635.47.0.1 to 35.47.255.25435.47.255.25565,534
4935.48.0.0/1635.48.0.1 to 35.48.255.25435.48.255.25565,534
5035.49.0.0/1635.49.0.1 to 35.49.255.25435.49.255.25565,534
5135.50.0.0/1635.50.0.1 to 35.50.255.25435.50.255.25565,534
5235.51.0.0/1635.51.0.1 to 35.51.255.25435.51.255.25565,534
5335.52.0.0/1635.52.0.1 to 35.52.255.25435.52.255.25565,534
5435.53.0.0/1635.53.0.1 to 35.53.255.25435.53.255.25565,534
5535.54.0.0/1635.54.0.1 to 35.54.255.25435.54.255.25565,534
5635.55.0.0/1635.55.0.1 to 35.55.255.25435.55.255.25565,534
5735.56.0.0/1635.56.0.1 to 35.56.255.25435.56.255.25565,534
5835.57.0.0/1635.57.0.1 to 35.57.255.25435.57.255.25565,534
5935.58.0.0/1635.58.0.1 to 35.58.255.25435.58.255.25565,534
6035.59.0.0/1635.59.0.1 to 35.59.255.25435.59.255.25565,534
6135.60.0.0/1635.60.0.1 to 35.60.255.25435.60.255.25565,534
6235.61.0.0/1635.61.0.1 to 35.61.255.25435.61.255.25565,534
6335.62.0.0/1635.62.0.1 to 35.62.255.25435.62.255.25565,534
6435.63.0.0/1635.63.0.1 to 35.63.255.25435.63.255.25565,534
6535.64.0.0/1635.64.0.1 to 35.64.255.25435.64.255.25565,534
6635.65.0.0/1635.65.0.1 to 35.65.255.25435.65.255.25565,534
6735.66.0.0/1635.66.0.1 to 35.66.255.25435.66.255.25565,534
6835.67.0.0/1635.67.0.1 to 35.67.255.25435.67.255.25565,534
6935.68.0.0/1635.68.0.1 to 35.68.255.25435.68.255.25565,534
7035.69.0.0/1635.69.0.1 to 35.69.255.25435.69.255.25565,534
7135.70.0.0/1635.70.0.1 to 35.70.255.25435.70.255.25565,534
7235.71.0.0/1635.71.0.1 to 35.71.255.25435.71.255.25565,534
7335.72.0.0/1635.72.0.1 to 35.72.255.25435.72.255.25565,534
7435.73.0.0/1635.73.0.1 to 35.73.255.25435.73.255.25565,534
7535.74.0.0/1635.74.0.1 to 35.74.255.25435.74.255.25565,534
7635.75.0.0/1635.75.0.1 to 35.75.255.25435.75.255.25565,534
7735.76.0.0/1635.76.0.1 to 35.76.255.25435.76.255.25565,534
7835.77.0.0/1635.77.0.1 to 35.77.255.25435.77.255.25565,534
7935.78.0.0/1635.78.0.1 to 35.78.255.25435.78.255.25565,534
8035.79.0.0/1635.79.0.1 to 35.79.255.25435.79.255.25565,534
8135.80.0.0/1635.80.0.1 to 35.80.255.25435.80.255.25565,534
8235.81.0.0/1635.81.0.1 to 35.81.255.25435.81.255.25565,534
8335.82.0.0/1635.82.0.1 to 35.82.255.25435.82.255.25565,534
8435.83.0.0/1635.83.0.1 to 35.83.255.25435.83.255.25565,534
8535.84.0.0/1635.84.0.1 to 35.84.255.25435.84.255.25565,534
8635.85.0.0/1635.85.0.1 to 35.85.255.25435.85.255.25565,534
8735.86.0.0/1635.86.0.1 to 35.86.255.25435.86.255.25565,534
8835.87.0.0/1635.87.0.1 to 35.87.255.25435.87.255.25565,534
8935.88.0.0/1635.88.0.1 to 35.88.255.25435.88.255.25565,534
9035.89.0.0/1635.89.0.1 to 35.89.255.25435.89.255.25565,534
9135.90.0.0/1635.90.0.1 to 35.90.255.25435.90.255.25565,534
9235.91.0.0/1635.91.0.1 to 35.91.255.25435.91.255.25565,534
9335.92.0.0/1635.92.0.1 to 35.92.255.25435.92.255.25565,534
9435.93.0.0/1635.93.0.1 to 35.93.255.25435.93.255.25565,534
9535.94.0.0/1635.94.0.1 to 35.94.255.25435.94.255.25565,534
9635.95.0.0/1635.95.0.1 to 35.95.255.25435.95.255.25565,534
9735.96.0.0/1635.96.0.1 to 35.96.255.25435.96.255.25565,534
9835.97.0.0/1635.97.0.1 to 35.97.255.25435.97.255.25565,534
9935.98.0.0/1635.98.0.1 to 35.98.255.25435.98.255.25565,534
10035.99.0.0/1635.99.0.1 to 35.99.255.25435.99.255.25565,534
10135.100.0.0/1635.100.0.1 to 35.100.255.25435.100.255.25565,534
10235.101.0.0/1635.101.0.1 to 35.101.255.25435.101.255.25565,534
10335.102.0.0/1635.102.0.1 to 35.102.255.25435.102.255.25565,534
10435.103.0.0/1635.103.0.1 to 35.103.255.25435.103.255.25565,534
10535.104.0.0/1635.104.0.1 to 35.104.255.25435.104.255.25565,534
10635.105.0.0/1635.105.0.1 to 35.105.255.25435.105.255.25565,534
10735.106.0.0/1635.106.0.1 to 35.106.255.25435.106.255.25565,534
10835.107.0.0/1635.107.0.1 to 35.107.255.25435.107.255.25565,534
10935.108.0.0/1635.108.0.1 to 35.108.255.25435.108.255.25565,534
11035.109.0.0/1635.109.0.1 to 35.109.255.25435.109.255.25565,534
11135.110.0.0/1635.110.0.1 to 35.110.255.25435.110.255.25565,534
11235.111.0.0/1635.111.0.1 to 35.111.255.25435.111.255.25565,534
11335.112.0.0/1635.112.0.1 to 35.112.255.25435.112.255.25565,534
11435.113.0.0/1635.113.0.1 to 35.113.255.25435.113.255.25565,534
11535.114.0.0/1635.114.0.1 to 35.114.255.25435.114.255.25565,534
11635.115.0.0/1635.115.0.1 to 35.115.255.25435.115.255.25565,534
11735.116.0.0/1635.116.0.1 to 35.116.255.25435.116.255.25565,534
11835.117.0.0/1635.117.0.1 to 35.117.255.25435.117.255.25565,534
11935.118.0.0/1635.118.0.1 to 35.118.255.25435.118.255.25565,534
12035.119.0.0/1635.119.0.1 to 35.119.255.25435.119.255.25565,534
12135.120.0.0/1635.120.0.1 to 35.120.255.25435.120.255.25565,534
12235.121.0.0/1635.121.0.1 to 35.121.255.25435.121.255.25565,534
12335.122.0.0/1635.122.0.1 to 35.122.255.25435.122.255.25565,534
12435.123.0.0/1635.123.0.1 to 35.123.255.25435.123.255.25565,534
12535.124.0.0/1635.124.0.1 to 35.124.255.25435.124.255.25565,534
12635.125.0.0/1635.125.0.1 to 35.125.255.25435.125.255.25565,534
12735.126.0.0/1635.126.0.1 to 35.126.255.25435.126.255.25565,534
12835.127.0.0/1635.127.0.1 to 35.127.255.25435.127.255.25565,534
12935.128.0.0/1635.128.0.1 to 35.128.255.25435.128.255.25565,534
13035.129.0.0/1635.129.0.1 to 35.129.255.25435.129.255.25565,534
13135.130.0.0/1635.130.0.1 to 35.130.255.25435.130.255.25565,534
13235.131.0.0/1635.131.0.1 to 35.131.255.25435.131.255.25565,534
13335.132.0.0/1635.132.0.1 to 35.132.255.25435.132.255.25565,534
13435.133.0.0/1635.133.0.1 to 35.133.255.25435.133.255.25565,534
13535.134.0.0/1635.134.0.1 to 35.134.255.25435.134.255.25565,534
13635.135.0.0/1635.135.0.1 to 35.135.255.25435.135.255.25565,534
13735.136.0.0/1635.136.0.1 to 35.136.255.25435.136.255.25565,534
13835.137.0.0/1635.137.0.1 to 35.137.255.25435.137.255.25565,534
13935.138.0.0/1635.138.0.1 to 35.138.255.25435.138.255.25565,534
14035.139.0.0/1635.139.0.1 to 35.139.255.25435.139.255.25565,534
14135.140.0.0/1635.140.0.1 to 35.140.255.25435.140.255.25565,534
14235.141.0.0/1635.141.0.1 to 35.141.255.25435.141.255.25565,534
14335.142.0.0/1635.142.0.1 to 35.142.255.25435.142.255.25565,534
14435.143.0.0/1635.143.0.1 to 35.143.255.25435.143.255.25565,534
14535.144.0.0/1635.144.0.1 to 35.144.255.25435.144.255.25565,534
14635.145.0.0/1635.145.0.1 to 35.145.255.25435.145.255.25565,534
14735.146.0.0/1635.146.0.1 to 35.146.255.25435.146.255.25565,534
14835.147.0.0/1635.147.0.1 to 35.147.255.25435.147.255.25565,534
14935.148.0.0/1635.148.0.1 to 35.148.255.25435.148.255.25565,534
15035.149.0.0/1635.149.0.1 to 35.149.255.25435.149.255.25565,534
15135.150.0.0/1635.150.0.1 to 35.150.255.25435.150.255.25565,534
15235.151.0.0/1635.151.0.1 to 35.151.255.25435.151.255.25565,534
15335.152.0.0/1635.152.0.1 to 35.152.255.25435.152.255.25565,534
15435.153.0.0/1635.153.0.1 to 35.153.255.25435.153.255.25565,534
15535.154.0.0/1635.154.0.1 to 35.154.255.25435.154.255.25565,534
15635.155.0.0/1635.155.0.1 to 35.155.255.25435.155.255.25565,534
15735.156.0.0/1635.156.0.1 to 35.156.255.25435.156.255.25565,534
15835.157.0.0/1635.157.0.1 to 35.157.255.25435.157.255.25565,534
15935.158.0.0/1635.158.0.1 to 35.158.255.25435.158.255.25565,534
16035.159.0.0/1635.159.0.1 to 35.159.255.25435.159.255.25565,534
16135.160.0.0/1635.160.0.1 to 35.160.255.25435.160.255.25565,534
16235.161.0.0/1635.161.0.1 to 35.161.255.25435.161.255.25565,534
16335.162.0.0/1635.162.0.1 to 35.162.255.25435.162.255.25565,534
16435.163.0.0/1635.163.0.1 to 35.163.255.25435.163.255.25565,534
16535.164.0.0/1635.164.0.1 to 35.164.255.25435.164.255.25565,534
16635.165.0.0/1635.165.0.1 to 35.165.255.25435.165.255.25565,534
16735.166.0.0/1635.166.0.1 to 35.166.255.25435.166.255.25565,534
16835.167.0.0/1635.167.0.1 to 35.167.255.25435.167.255.25565,534
16935.168.0.0/1635.168.0.1 to 35.168.255.25435.168.255.25565,534
17035.169.0.0/1635.169.0.1 to 35.169.255.25435.169.255.25565,534
17135.170.0.0/1635.170.0.1 to 35.170.255.25435.170.255.25565,534
17235.171.0.0/1635.171.0.1 to 35.171.255.25435.171.255.25565,534
17335.172.0.0/1635.172.0.1 to 35.172.255.25435.172.255.25565,534
17435.173.0.0/1635.173.0.1 to 35.173.255.25435.173.255.25565,534
17535.174.0.0/1635.174.0.1 to 35.174.255.25435.174.255.25565,534
17635.175.0.0/1635.175.0.1 to 35.175.255.25435.175.255.25565,534
17735.176.0.0/1635.176.0.1 to 35.176.255.25435.176.255.25565,534
17835.177.0.0/1635.177.0.1 to 35.177.255.25435.177.255.25565,534
17935.178.0.0/1635.178.0.1 to 35.178.255.25435.178.255.25565,534
18035.179.0.0/1635.179.0.1 to 35.179.255.25435.179.255.25565,534
18135.180.0.0/1635.180.0.1 to 35.180.255.25435.180.255.25565,534
18235.181.0.0/1635.181.0.1 to 35.181.255.25435.181.255.25565,534
18335.182.0.0/1635.182.0.1 to 35.182.255.25435.182.255.25565,534
18435.183.0.0/1635.183.0.1 to 35.183.255.25435.183.255.25565,534
18535.184.0.0/1635.184.0.1 to 35.184.255.25435.184.255.25565,534
18635.185.0.0/1635.185.0.1 to 35.185.255.25435.185.255.25565,534
18735.186.0.0/1635.186.0.1 to 35.186.255.25435.186.255.25565,534
18835.187.0.0/1635.187.0.1 to 35.187.255.25435.187.255.25565,534
18935.188.0.0/1635.188.0.1 to 35.188.255.25435.188.255.25565,534
19035.189.0.0/1635.189.0.1 to 35.189.255.25435.189.255.25565,534
19135.190.0.0/1635.190.0.1 to 35.190.255.25435.190.255.25565,534
19235.191.0.0/1635.191.0.1 to 35.191.255.25435.191.255.25565,534
19335.192.0.0/1635.192.0.1 to 35.192.255.25435.192.255.25565,534
19435.193.0.0/1635.193.0.1 to 35.193.255.25435.193.255.25565,534
19535.194.0.0/1635.194.0.1 to 35.194.255.25435.194.255.25565,534
19635.195.0.0/1635.195.0.1 to 35.195.255.25435.195.255.25565,534
19735.196.0.0/1635.196.0.1 to 35.196.255.25435.196.255.25565,534
19835.197.0.0/1635.197.0.1 to 35.197.255.25435.197.255.25565,534
19935.198.0.0/1635.198.0.1 to 35.198.255.25435.198.255.25565,534
20035.199.0.0/1635.199.0.1 to 35.199.255.25435.199.255.25565,534
20135.200.0.0/1635.200.0.1 to 35.200.255.25435.200.255.25565,534
20235.201.0.0/1635.201.0.1 to 35.201.255.25435.201.255.25565,534
20335.202.0.0/1635.202.0.1 to 35.202.255.25435.202.255.25565,534
20435.203.0.0/1635.203.0.1 to 35.203.255.25435.203.255.25565,534
20535.204.0.0/1635.204.0.1 to 35.204.255.25435.204.255.25565,534
20635.205.0.0/1635.205.0.1 to 35.205.255.25435.205.255.25565,534
20735.206.0.0/1635.206.0.1 to 35.206.255.25435.206.255.25565,534
20835.207.0.0/1635.207.0.1 to 35.207.255.25435.207.255.25565,534
20935.208.0.0/1635.208.0.1 to 35.208.255.25435.208.255.25565,534
21035.209.0.0/1635.209.0.1 to 35.209.255.25435.209.255.25565,534
21135.210.0.0/1635.210.0.1 to 35.210.255.25435.210.255.25565,534
21235.211.0.0/1635.211.0.1 to 35.211.255.25435.211.255.25565,534
21335.212.0.0/1635.212.0.1 to 35.212.255.25435.212.255.25565,534
21435.213.0.0/1635.213.0.1 to 35.213.255.25435.213.255.25565,534
21535.214.0.0/1635.214.0.1 to 35.214.255.25435.214.255.25565,534
21635.215.0.0/1635.215.0.1 to 35.215.255.25435.215.255.25565,534
21735.216.0.0/1635.216.0.1 to 35.216.255.25435.216.255.25565,534
21835.217.0.0/1635.217.0.1 to 35.217.255.25435.217.255.25565,534
21935.218.0.0/1635.218.0.1 to 35.218.255.25435.218.255.25565,534
22035.219.0.0/1635.219.0.1 to 35.219.255.25435.219.255.25565,534
22135.220.0.0/1635.220.0.1 to 35.220.255.25435.220.255.25565,534
22235.221.0.0/1635.221.0.1 to 35.221.255.25435.221.255.25565,534
22335.222.0.0/1635.222.0.1 to 35.222.255.25435.222.255.25565,534
22435.223.0.0/1635.223.0.1 to 35.223.255.25435.223.255.25565,534
22535.224.0.0/1635.224.0.1 to 35.224.255.25435.224.255.25565,534
22635.225.0.0/1635.225.0.1 to 35.225.255.25435.225.255.25565,534
22735.226.0.0/1635.226.0.1 to 35.226.255.25435.226.255.25565,534
22835.227.0.0/1635.227.0.1 to 35.227.255.25435.227.255.25565,534
22935.228.0.0/1635.228.0.1 to 35.228.255.25435.228.255.25565,534
23035.229.0.0/1635.229.0.1 to 35.229.255.25435.229.255.25565,534
23135.230.0.0/1635.230.0.1 to 35.230.255.25435.230.255.25565,534
23235.231.0.0/1635.231.0.1 to 35.231.255.25435.231.255.25565,534
23335.232.0.0/1635.232.0.1 to 35.232.255.25435.232.255.25565,534
23435.233.0.0/1635.233.0.1 to 35.233.255.25435.233.255.25565,534
23535.234.0.0/1635.234.0.1 to 35.234.255.25435.234.255.25565,534
23635.235.0.0/1635.235.0.1 to 35.235.255.25435.235.255.25565,534
23735.236.0.0/1635.236.0.1 to 35.236.255.25435.236.255.25565,534
23835.237.0.0/1635.237.0.1 to 35.237.255.25435.237.255.25565,534
23935.238.0.0/1635.238.0.1 to 35.238.255.25435.238.255.25565,534
24035.239.0.0/1635.239.0.1 to 35.239.255.25435.239.255.25565,534
24135.240.0.0/1635.240.0.1 to 35.240.255.25435.240.255.25565,534
24235.241.0.0/1635.241.0.1 to 35.241.255.25435.241.255.25565,534
24335.242.0.0/1635.242.0.1 to 35.242.255.25435.242.255.25565,534
24435.243.0.0/1635.243.0.1 to 35.243.255.25435.243.255.25565,534
24535.244.0.0/1635.244.0.1 to 35.244.255.25435.244.255.25565,534
24635.245.0.0/1635.245.0.1 to 35.245.255.25435.245.255.25565,534
24735.246.0.0/1635.246.0.1 to 35.246.255.25435.246.255.25565,534
24835.247.0.0/1635.247.0.1 to 35.247.255.25435.247.255.25565,534
24935.248.0.0/1635.248.0.1 to 35.248.255.25435.248.255.25565,534
25035.249.0.0/1635.249.0.1 to 35.249.255.25435.249.255.25565,534
25135.250.0.0/1635.250.0.1 to 35.250.255.25435.250.255.25565,534
25235.251.0.0/1635.251.0.1 to 35.251.255.25435.251.255.25565,534
25335.252.0.0/1635.252.0.1 to 35.252.255.25435.252.255.25565,534
25435.253.0.0/1635.253.0.1 to 35.253.255.25435.253.255.25565,534
25535.254.0.0/1635.254.0.1 to 35.254.255.25435.254.255.25565,534
25635.255.0.0/1635.255.0.1 to 35.255.255.25435.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses